KateTextCursor Class Reference

`#include <katecursor.h>`

Inheritance diagram for KateTextCursor:

## Public Member Functions

| KateTextCursor (int line, int col)
void | pos (int *pline, int *pcol) const
int | line () const
int | col () const
virtual void | setLine (int line)
virtual void | setCol (int col)
virtual void | setPos (const KateTextCursor &pos)
virtual void | setPos (int line, int col)

## Protected Attributes

int | m_line
int | m_col

## Friends

bool | operator== (const KateTextCursor &c1, const KateTextCursor &c2)
bool | operator!= (const KateTextCursor &c1, const KateTextCursor &c2)
bool | operator> (const KateTextCursor &c1, const KateTextCursor &c2)
bool | operator>= (const KateTextCursor &c1, const KateTextCursor &c2)
bool | operator< (const KateTextCursor &c1, const KateTextCursor &c2)
bool | operator<= (const KateTextCursor &c1, const KateTextCursor &c2)
kdbgstream & | operator<< (kdbgstream &stream, const KateTextCursor &c)
void | qSwap (KateTextCursor &c1, KateTextCursor &c2)

## Detailed Description

Simple cursor class with no document pointer.

Definition at line 33 of file katecursor.h.

The documentation for this class was generated from the following file:

- katecursor.h

KDE Home | KDE Accessibility Home | Description of Access Keys